=== unit-tests/test-cases/dead_strip-archive-weak-override/Makefile ===
##
# Copyright (c) 2010 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

#
# Tests that a non-weak symbol in an archive cleanly overrides
# a weak symbol in a .o file with dead code stripping
#

run: all

all:
	${CC} ${CCFLAGS} foo.c -c -o foo.o
	${CC} ${CCFLAGS} bar.c -c -o bar.o
	libtool -static foo.o bar.o -o libfoobar.a
	${CC} ${CCFLAGS}  main.c libfoobar.a -dead_strip -o main
	nm main | grep _bar | ${FAIL_IF_EMPTY}
	${PASS_IFF_GOOD_MACHO} main
	

clean:
	rm -rf main foo.o bar.o libfoobar.a
