=== debian/changelog ===
virtuoso-opensource (7.2) unstable; urgency=low

  * Bump version number 

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Mon, 02 Feb 2015 13:44:00 +0100

virtuoso-opensource (7.1) unstable; urgency=low

  * Misc minor packaging fixes

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Mon, 04 Aug 2014 17:44:00 +0100

virtuoso-opensource (6.1.7) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Wed, 22 Jul 2013 17:00:00 +0100

virtuoso-opensource (6.1.6) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Wed, 01 Aug 2012 17:00:00 +0100

virtuoso-opensource (6.1.5) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Thu, 15 Mar 2012 17:16:24 +0100

virtuoso-opensource (6.1.4) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Fri, 28 Oct 2011 22:01:10 +0100

virtuoso-opensource (6.1.3) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Fri, 25 Mar 2011 22:32:29 +0100

virtuoso-opensource (6.1.2) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Fri, 09 Jul 2010 17:37:40 +0100
